#
# spec file for package xtrap
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xtrap
Version:        1.0.3
Release:        bp155.2.10
Summary:        XTrap sample clients
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xtrap)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides sample clients for the XTrap X Server Extension.
XTrap is an extension which facilitates the capturing of server
protocol and synthesizing core input events.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xtrapchar
%{_bindir}/xtrapin
%{_bindir}/xtrapinfo
%{_bindir}/xtrapout
%{_bindir}/xtrapproto
%{_bindir}/xtrapreset
%{_bindir}/xtrapstats
%{_mandir}/man1/xtrap.1%{?ext_man}
%{_mandir}/man1/xtrapchar.1%{?ext_man}
%{_mandir}/man1/xtrapin.1%{?ext_man}
%{_mandir}/man1/xtrapinfo.1%{?ext_man}
%{_mandir}/man1/xtrapout.1%{?ext_man}
%{_mandir}/man1/xtrapproto.1%{?ext_man}
%{_mandir}/man1/xtrapreset.1%{?ext_man}
%{_mandir}/man1/xtrapstats.1%{?ext_man}

%changelog
* Wed Apr  4 2018 sndirsch@suse.com
- Update to release 1.0.3
  * Add README with pointers to mailing lists, bugzilla, & git
  * Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
  * Assume signal handlers return void, as C89 requires
  * config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
  * This is not a GNU project, so declare it foreign.
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * config: Remove unnecessary calls from configure.ac
  * Bug 9522 - Markup problems on the xtrap.1x page
  * config: update AC_PREREQ statement to 2.60
  * ename .cvsignore to .gitignore
  * Add *~ to .gitignore to skip patch/emacs droppings
  * Replace static ChangeLog with dist-hook to generate from git log
  * Makefile: Use _DEFAULT_SOURCE instead of _BSD_SOURCE
  * configure: Depend on libXt
  * Fix pointer-to-int-cast errors
  * Ansification and compile warning fixes.
  * Janitor: Add matching prototypes to callback functions.
  * Bug 24530: Add $(AM_CFLAGS) to xtrap*_CFLAGS
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xtrap from xorg-x11. Initial version: X11R7.1-1.0.2.
